%define name	xntp3
%define ver	5.93
%define rel	18ml
%define prefix	/usr


Summary: Network Time Protocol clients
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Networking/Utilities
License: Distributable
Source: ftp://ftp.udel.edu/pub/ntp/ntp3/xntp3-5.93-export.tar.gz
Source1: xntpd.init
Source2: xntpd.logrotate
Patch0: xntp3_5.93-2.diff
Patch1: xntp3_5.93-ntptime.c.patch
Patch2: xntp3_5.93-ntp_control.patch
Patch3: ntp-4.1.2-sprintf3.patch
Patch4: xntp3-5.93-mode7dos.patch
URL: http://www.eecis.udel.edu/~ntp/
%if !%{FHS}
Serial: 2002060301
%endif
BuildRoot: /var/tmp/%{name}-%{ver}-root
#NoSource: 0


%package server
Group: Networking/Daemons
Version: %{ver}
Release: %{rel}
Summary: Network Time Protocol server


%description
Network Time Protocol (NTP) clients.  These programs can be used to
keep your system time syncronized with a time server on the internet
or your local network.  Use these programs if you would like to
periodically update your time to a reference time server.  Information
about public time servers which are connected to the internet is
available at http://www.eecis.udel.edu/~mills/ntp/servers.htm


%description server
Network Time Protocol (NTP) server.  These programs can be used to
provide your local network with a time server or simply to keep a
single computer syncronized with another timeserver on your local network
or the internet.  Running xntpd (the time server) is especially useful
if you are using NFS.  This can be used to insure that your NFS client
machine and server machine put consistent timestamps on files.
Information about public time servers which are connected to the internet
is available at http://www.eecis.udel.edu/~mills/ntp/servers.htm


%changelog
* Mon Dec 14 2009 Ryoji Kamei <kamei@miraclelinux.com>
- fix CVE-2009-3563 and CVE-2009-0159

* Wed Jan 21 2004 Daisuke Tonoki <tonoki@miraclelinux.com>
- fix logrotate typo.

* Mon Jun 3 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- fix logrotate bug

* Wed Oct 3 2001 Takeharu SATO <tsatoh@miraclelinux.com>
- chang release number to be able to upgrade correctly.

* Mon Apr 9 2001 Masaru Yokoi <masaru@turbolinux.co.jp>
- Correct underflow .

* Wed Sep 20 2000 Ken Smith <ken@turbolinux.co.jp>
- commented out nosource tag
- used prefix macro

* Wed Aug 16 2000 SL Baur  <steve@turbolinux.co.jp>
- tweaks for alpha

* Wed Jul 04 2000 Ken Smith <ken@turbolinux.co.jp>
- added changelog section
- prepared spec file for centro


%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/log/ntpstats
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d


%setup -n xntp3-%{version}-export
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .fix
%patch3 -p1 -b .sprintf3
%patch4 -p1 -b .mode7dos
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}


%build
%ifarch i386 i486 i586 i686 athlon
## No, no, no!  Don't even think about it ...
make #CC="gcc -V2.7.2.3SG"
%else
make
%endif


%install
make prefix=$RPM_BUILD_ROOT%{prefix} install
mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin
mv -f $RPM_BUILD_ROOT%{prefix}/bin/xntpd $RPM_BUILD_ROOT%{prefix}/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 0755 $RPM_SOURCE_DIR/xntpd.init \
                $RPM_BUILD_ROOT/etc/rc.d/init.d/xntpd
install -m 0644 $RPM_SOURCE_DIR/xntpd.logrotate \
                $RPM_BUILD_ROOT/etc/logrotate.d/xntpd


%clean
rm -rf $RPM_BUILD_ROOT


%post server
/sbin/chkconfig --add xntpd
/sbin/chkconfig xntpd off


%preun server
if [ $1 = 0 ]; then
   /sbin/chkconfig --del xntpd
fi


%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog INSTALL NEWS README TODO WHERE-TO-START html
%{prefix}/bin/ntpdate
%{prefix}/bin/ntpq
%{prefix}/bin/ntptrace
%{prefix}/bin/tickadj
%{prefix}/bin/xntpdc


%files server
%defattr(-,root,root)
%{prefix}/sbin/xntpd
/etc/rc.d/init.d/xntpd
/etc/logrotate.d/xntpd
%dir /var/log/ntpstats
